Skip to main content

Create Prospect: Rentcafe

POSThttps://api.propexo.com/crm/v1/prospects/rentcafe

Authentication​

  • AuthorizationBearer
    Bearer authentication of the form Bearer <token>, where token is your auth token.

Request​

This endpoint expects an object.

    integration_idstringrequired

    The Propexo unique identifier for the integration

    community_idstringrequired

    The Propexo unique identifier for the community

    agent_idstring

    The Propexo unique identifier for the agent

    first_namestringrequired

    The first name associated with the prospect

    last_namestringrequired

    The last name associated with the prospect

    email_1stringrequired

    The primary email address associated with the prospect

    middle_namestring

    The middle name associated with the prospect

    phone_1string

    Primary phone number associated with the prospect

    notesstring

    Notes associated with the prospect

    address_1string

    The first address line associated with the prospect

    Possible values: <= 40 characters

    address_2string

    The second address line associated with the prospect

    Possible values: <= 40 characters

    citystring

    The city associated with the prospect

    Possible values: <= 30 characters

    statestring

    The state associated with the prospect

    Possible values: <= 4 characters

    zipstring

    The zip code associated with the prospect

    Possible values: <= 12 characters

    countrystring

    The country associated with the prospect

    Possible values: <= 2 characters

    move_in_datestring

    The move-in date associated with the prospect

    Show 2 variants
    • string<date-time>
    • stringPattern: ^\d{4}-\d{2}-\d{2}$
    desired_num_bedroomsinteger[]

    The number of bedrooms associated with the prospect. RentCafe only takes a single value for the desired bedrooms. All values other than the first are ignored. This is for compatibility with the other CRM endpoints.

    preferred_contact_methodstring

    The way the prospect prefers to be contacted

    Show 4 enum values
    NONECALLTEXTEMAIL
    subscribeboolean

    Whether or not to subscribe the prospect to automated Rentcafe email messaging.

    prospect_sourcestring

    The name of the source of the lead

Response​

Successful response

    meta objectrequired
    job_idstringrequired
    result objectrequired
    integration_idstringrequired

    The Propexo unique identifier for the integration

    community_idstringrequired

    The Propexo unique identifier for the community

    agent_idstring | nullnullablerequired

    The Propexo unique identifier for the agent

    first_namestringrequired

    The first name associated with the prospect

    last_namestringrequired

    The last name associated with the prospect

    email_1stringrequired

    The primary email address associated with the prospect

    middle_namestring | nullnullablerequired

    The middle name associated with the prospect

    phone_1string | nullnullablerequired

    Primary phone number associated with the prospect

    notesstring | nullnullablerequired

    Notes associated with the prospect

    address_1string | nullnullablerequired

    The first address line associated with the prospect

    Possible values: <= 40 characters

    address_2string | nullnullablerequired

    The second address line associated with the prospect

    Possible values: <= 40 characters

    citystring | nullnullablerequired

    The city associated with the prospect

    Possible values: <= 30 characters

    statestring | nullnullablerequired

    The state associated with the prospect

    Possible values: <= 4 characters

    zipstring | nullnullablerequired

    The zip code associated with the prospect

    Possible values: <= 12 characters

    countrystring | nullnullablerequired

    The country associated with the prospect

    Possible values: <= 2 characters

    move_in_datestring | nullnullablerequired

    The move-in date associated with the prospect

    Show 2 variants
    • string<date-time>
    • stringPattern: ^\d{4}-\d{2}-\d{2}$
    desired_num_bedroomsinteger[]nullablerequired

    Possible values: >= 0

    preferred_contact_methodstring | nullnullablerequired

    The way the prospect prefers to be contacted

    Show 4 enum values
    NONECALLTEXTEMAIL
    subscribeboolean | nullnullablerequired

    Whether or not to subscribe the prospect to automated Rentcafe email messaging.

    prospect_sourcestring | nullnullablerequired

    The name of the source of the lead

Errors​

  • 400Bad Request
      error objectrequired
      codestringrequired
      Example: invalid_request
      messagestringrequired
      Example: invalid request
      details object
      property name*any
      Example: {"details":{"issues":[{"code":"unrecognized_keys","keys":["foo"],"path":[],"message":"Unrecognized key(s) in object: 'foo'"}],"name":"ZodError"}}
POST /crm/v1/prospects/rentcafe
curl -X POST https://api.propexo.com/crm/v1/prospects/rentcafe \
-H "Authorization: Bearer <token>" \
-H "Content-Type: application/json" \
-d '{
"integration_id": "string",
"community_id": "string",
"first_name": "string",
"last_name": "string",
"email_1": "string"
}'
200 Successful response
{
"meta": {
"job_id": "string"
},
"result": {
"integration_id": "string",
"community_id": "string",
"agent_id": "string",
"first_name": "string",
"last_name": "string",
"email_1": "string",
"middle_name": "string",
"phone_1": "string",
"notes": "string",
"address_1": "string",
"address_2": "string",
"city": "string",
"state": "string",
"zip": "string",
"country": "string",
"move_in_date": "2024-07-29T15:51:28.071Z",
"desired_num_bedrooms": "Unknown Type: array,null",
"preferred_contact_method": "NONE",
"subscribe": true,
"prospect_source": "string"
}
}